3D Forum > Bforartists und renderman

Bforartists und renderman

13.05.2018 21:52
 
1963schulzeSo. 13 Mai. 2018, 21:52 Uhr
Ich möchte Renderman mal testen. In Blender 2.79 habe ich das addon erfolgreich installiert und kann damit auch rendern. Mit bforartist bekomme ich beim aktivieren des addons folgende Fehlermeldung:
 
 
TilesMo. 14 Mai. 2018, 14:15 Uhr
Ah, verdammt. Sieht so aus als ob das Renderman Addon nicht komaptibel mit Bforartists 1 ist.

Ich schau mal ob wir da was drehen können. Danke für die Fehlermeldung.
 
TilesMo. 14 Mai. 2018, 18:28 Uhr
Ich habe gerade mal nachgeschaut. Und es ist was ich befürchtet habe.

Die Blender Jungs haben im Master schon einige Änderungen für 2.8 vorgenommen. Und damit streiken eben dann einige Addons. Das wird wenn Blender 2.8 rauskommt auch noch mal spassig. Dann müssen viele alte Addons gefixt werden. Die tun nur bis Blender 2.79b. In einem vom aktuellen Master kompilierten Build scheitert das Renderman Addon auch in Blender. Siehe Bild.

Wie dem auch sei, Bforartists holt sich den neuesten Code immer vom Blender Master. Denn Eiiigentlich sollte sich im Master immer die derzeit stabile Version befinden. Und da haben wir uns eben leider diese Inkompatibilität eingeschleppt.

Machen können wir da leider nichts. Zurückentwickeln ist keine gute Idee. Das Addon tut eben nicht mit Bforartists 1. Bleibt mir nur ein von Herzen kommendes Sorry :/
 
 
1963schulzeMo. 14 Mai. 2018, 20:29 Uhr
Hallo Tiles,

vielen Dank für ausführliche Antwort. Tatsächlich kommt auch mit Blender 2.8 dieselbe Fehlermeldung.
Bis das addon überarbeitet wurde werde ich mir mal eine ältere BfA Version zusätzlich installieren
 
 

 


 
 
© 3D-Ring - deutsche 3D Software Community, Archiv 2001 - 2006